package cn.yw.operationcount.alarmcount.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("yworderinfocountDao")
public class YworderinfocountDao  extends BaseSqlMapDAO{

	
	
	/**
	 *  区域设备告警统计
	 */
	public List query_Yworderinfocount(Map map) throws SQLException{
		return this.queryForPage("query_Yworderinfocount",map);
	}
	public Integer count_Yworderinfocount(Map map) throws SQLException{
		return (Integer) this.queryForObject("count_Yworderinfocount",map);
	}
	
	/**
	 *  工单处理效率统计
	 */
	public List query_orderefficient(Map map) throws SQLException{
		return this.queryForPage("query_orderefficient",map);
	}
	public Integer count_orderefficient(Map map) throws SQLException{
		return (Integer) this.queryForObject("count_orderefficient",map);
	}
	
	public List query_YworderinfocountList(Map map) throws SQLException{
		return this.queryForList("query_Yworderinfocount",map);
	}
	public List query_orderefficientList(Map map) throws SQLException{
		return this.queryForList("query_orderefficient",map);
	}
	
	//新增兼容处理
	public List query_jswcgdOrders(Map map) throws SQLException{
		return this.queryForList("query_jswcgdOrders",map);
	}
	
	public List query_effList(Map map) throws SQLException{
		return this.queryForList("query_effList",map);
	}
}
